from datetime import datetime


class DateConverter:
    regex = r"\d{4}-\d{1,2}-\d{1,2}"
    format = r"%Y-%m-%d"

    def to_python(self, value):
        return datetime.strptime(value, self.format).date()

    def to_url(self, value):
        return value.strftime(self.format)

class YearMonthConverter:
    regex = r"\d{4}-\d{1,2}"
    format = r"%Y-%m"

    def to_python(self, value):
        return datetime.strptime(value, self.format).date()

    def to_url(self, value):
        return value.strftime(self.format)
